package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.MessageNotice;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface MessageNoticeDAO {
	int insert(MessageNotice entity);
	int update(MessageNotice entity);
	int exist(String id);
	MessageNotice get(String id);
	int delete(String id);
	List<MessageNotice> list();
	List<MessageNotice> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<MessageNotice> searchShort(Map<String, Object> searchParams, List<Sort> sortList);
	List<MessageNotice> findByClassify(String classify, String id);
}